VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo:

## Avaliable Methods
public method | get_documentation ()
public method | get_errors ()
public method | set_name ()
public method | set_metadata ()
public method | get_metadata ()
public method | set_errors ()
public method | set_documentation ()
public method | get_params ()
public method | set_output ()
public method | new ()
public method | set_params ()
public method | get_name ()
public method | get_output ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo` class contains metamodel information of an operation element.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::get_documentation | ( |  | ) |

Gets the value of 'documentation' property.

Return values

  documentation | - The current value of the field. English language documentation for the service element. It can contain HTML markup and Javadoc tags. String#

Code:
click to view
# Number of lines of code in get_documentation: 4
sub get_documentation {
my ($self, %args) = @_;
return $self->{'documentation'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::get_errors | ( |  | ) |

Gets the value of 'errors' property.

Return values

  errors | - The current value of the field. List of error elements that might be reported by the operation element. If the operation reports the same error for more than one reason, the list contains the error element associated with the error more than once with different documentation elements. List#

Code:
click to view
# Number of lines of code in get_errors: 4
sub get_errors {
my ($self, %args) = @_;
return $self->{'errors'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::get_metadata | ( |  | ) |

Gets the value of 'metadata' property.

Return values

  metadata | - The current value of the field. Generic metadata elements for the operation element. The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for key in the map .

Map#

Code:
click to view
# Number of lines of code in get_metadata: 4
sub get_metadata {
my ($self, %args) = @_;
return $self->{'metadata'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Name of the operation element in a canonical format. The format is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::get_output | ( |  | ) |

Gets the value of 'output' property.

Return values

  output | - The current value of the field. Metamodel type for the output element. OperationResultInfo#

Code:
click to view
# Number of lines of code in get_output: 4
sub get_output {
my ($self, %args) = @_;
return $self->{'output'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::get_params | ( |  | ) |

Gets the value of 'params' property.

Return values

  params | - The current value of the field. Metamodel information for the parameter elements. The order of the parameters elements in the list is same as the order of the parameters declared in the interface definition file. List#

Code:
click to view
# Number of lines of code in get_params: 4
sub get_params {
my ($self, %args) = @_;
return $self->{'params'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 26
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{params} = $args{'params'};
$self->{output} = $args{'output'};
$self->{errors} = $args{'errors'};
$self->{metadata} = $args{'metadata'};
$self->{documentation} = $args{'documentation'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.operation_info');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'params', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'FieldInfo')));
$self->set_binding_field('key' => 'output', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'OperationResultInfo'));
$self->set_binding_field('key' => 'errors', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ErrorInfo')));
$self->set_binding_field('key' => 'metadata', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ElementMap')}))));
$self->set_binding_field('key' => 'documentation', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::set_documentation | ( |  | ) |

Sets the given value for 'documentation' property.

Parameters

  documentation | - New value for the field. English language documentation for the service element. It can contain HTML markup and Javadoc tags.

Code:
click to view
# Number of lines of code in set_documentation: 5
sub set_documentation {
my ($self, %args) = @_;
$self->{'documentation'} = $args{'documentation'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::set_errors | ( |  | ) |

Sets the given value for 'errors' property.

Parameters

  errors | - New value for the field. List of error elements that might be reported by the operation element. If the operation reports the same error for more than one reason, the list contains the error element associated with the error more than once with different documentation elements.

Code:
click to view
# Number of lines of code in set_errors: 5
sub set_errors {
my ($self, %args) = @_;
$self->{'errors'} = $args{'errors'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::set_metadata | ( |  | ) |

Sets the given value for 'metadata' property.

Parameters

  metadata | - New value for the field. Generic metadata elements for the operation element. The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for key in the map .

Code:
click to view
# Number of lines of code in set_metadata: 5
sub set_metadata {
my ($self, %args) = @_;
$self->{'metadata'} = $args{'metadata'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Name of the operation element in a canonical format. The format is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::set_output | ( |  | ) |

Sets the given value for 'output' property.

Parameters

  output | - New value for the field. Metamodel type for the output element.

Code:
click to view
# Number of lines of code in set_output: 5
sub set_output {
my ($self, %args) = @_;
$self->{'output'} = $args{'output'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::OperationInfo::set_params | ( |  | ) |

Sets the given value for 'params' property.

Parameters

  params | - New value for the field. Metamodel information for the parameter elements. The order of the parameters elements in the list is same as the order of the parameters declared in the interface definition file.

Code:
click to view
# Number of lines of code in set_params: 5
sub set_params {
my ($self, %args) = @_;
$self->{'params'} = $args{'params'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/OperationInfo.pm